summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2019-07-14 12:38:55 +0200
committerMichał Górny <mgorny@gentoo.org>2019-07-14 14:26:30 +0200
commit4a1c47cb73b4f17600c3dc67b0d2c20a88770a52 (patch)
tree81fa38e2cc7c624d140860e342a88e4bd30f6dc6 /dev-python/typing-extensions
parentdev-python/aiohttp: Fix tests (diff)
downloadgentoo-4a1c47cb73b4f17600c3dc67b0d2c20a88770a52.tar.gz
gentoo-4a1c47cb73b4f17600c3dc67b0d2c20a88770a52.tar.bz2
gentoo-4a1c47cb73b4f17600c3dc67b0d2c20a88770a52.zip
dev-python/typing-extensions: New package, needed for aiohttp bump
This package provides backports of 'typing' module changes from Python 3.7. The complete 'typing' module for Python 2.7 is provided via dev-python/typing. Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python/typing-extensions')
-rw-r--r--dev-python/typing-extensions/Manifest1
-rw-r--r--dev-python/typing-extensions/metadata.xml11
-rw-r--r--dev-python/typing-extensions/typing-extensions-3.7.4.ebuild29
3 files changed, 41 insertions, 0 deletions
diff --git a/dev-python/typing-extensions/Manifest b/dev-python/typing-extensions/Manifest
new file mode 100644
index 00000000000..02981da7a5c
--- /dev/null
+++ b/dev-python/typing-extensions/Manifest
@@ -0,0 +1 @@
+DIST typing_extensions-3.7.4.tar.gz 36058 BLAKE2B f9e5efe9a7d51beb683bd4a88d7c1cab247b2c4cfd300131591bd04837dc15af277a8725c04566b9317be577f8f11e330f2d0169b52c3e9f92a8d3140e9e69d0 SHA512 82c15e6e67dde23456c3b01705729804dc21bd2088dee3aa63e53a5e597f474d34b1a37fb16bc5e3497f93d338c0115f49a070621523fb0fa3e994632785c6d9
diff --git a/dev-python/typing-extensions/metadata.xml b/dev-python/typing-extensions/metadata.xml
new file mode 100644
index 00000000000..8fac39f099e
--- /dev/null
+++ b/dev-python/typing-extensions/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version='1.0' encoding='UTF-8'?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">typing</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/typing-extensions/typing-extensions-3.7.4.ebuild b/dev-python/typing-extensions/typing-extensions-3.7.4.ebuild
new file mode 100644
index 00000000000..84e920351e6
--- /dev/null
+++ b/dev-python/typing-extensions/typing-extensions-3.7.4.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6} )
+
+inherit distutils-r1
+
+MY_PN=${PN/-/_}
+MY_P=${MY_PN}-${PV}
+
+DESCRIPTION="Type Hint extensions from Python 3.7 backported to 3.5/3.6"
+HOMEPAGE="https://pypi.org/project/typing_extensions/ https://github.com/python/typing"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="PSF-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-fbsd ~amd64-linux ~x86-linux ~x64-solaris"
+IUSE=""
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+RDEPEND=""
+
+python_test() {
+ cd "${S}"/src_py3 || die
+ "${EPYTHON}" test_typing_extensions.py -v || die "tests failed under ${EPYTHON}"
+}